/*
	php_zint - ZINT Barcode Generator php extension

	Copyright (c) 2008 Jeong Young Hun()

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

	Contact: ka7713@naver.com
*/
#ifndef PHP_ZINT_H
#define PHP_ZINT_H

#include "php.h"
#include "ext/standard/info.h"
#include "zint.h"

extern zend_module_entry zint_module_entry;
#define phpext_zint_ptr &zint_module_entry

#ifdef PHP_WIN32
#define PHP_ZINT_API __declspec(dllexport)
#else
#define PHP_ZINT_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

#define PHP_ZINT_VERSION "0.4"
#define PHP_ZINT_LIB_VERSION "1.6.2"
#define PHP_ZINT_EXTNAME "zint"
#define PHP_ZINT_IMAGE_RES_NAME "ZINT Barcode Generator"

PHP_MINIT_FUNCTION(zint);
PHP_MSHUTDOWN_FUNCTION(zint);
PHP_RINIT_FUNCTION(zint);
PHP_RSHUTDOWN_FUNCTION(zint);
PHP_MINFO_FUNCTION(zint);

static int le_zint;

#ifdef ZTS
#define zint_G(v) TSRMG(zint_globals_id, zend_zint_globals *, v)
#else
#define zint_G(v) (zint_globals.v)
#endif

#endif
